Problem updatting PHP from 5.6.39 to 7.1

Need help upgrading your Joomla! website or converting to Joomla! 3.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
cholish
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Wed Dec 19, 2018 7:15 am

Problem updatting PHP from 5.6.39 to 7.1

Post by cholish » Mon Jan 14, 2019 8:28 am

I have upgraded joomla to 3.9.1

The Joomla! Project recommends upgrading my site to PHP 7.1 or later .
I try to follow that, but after upgrading from 5.6.39 to PHP 7.1, I got the following problem and can't access any administration area:

[redacted]
php-7-error.jpg
"The parameter platforminfo.class must be defined"

Whats happened with that? Whats should I do to access admin area normally?


Regards

Cholish
You do not have the required permissions to view the files attached to this post.
Last edited by mandville on Mon Jan 14, 2019 9:19 pm, edited 1 time in total.
Reason: removed tiny url to image - please post images directly

SharkyKZ
Joomla! Ace
Joomla! Ace
Posts: 1562
Joined: Fri Jul 05, 2013 10:35 am
Location: Unknown

Re: Problem updatting PHP from 5.6.39 to 7.1

Post by SharkyKZ » Mon Jan 14, 2019 8:42 am

Enable system debug. You'll have manually edit configuration.php file if you can't access Global Configuration.

cholish
Joomla! Apprentice
Joomla! Apprentice
Posts: 19
Joined: Wed Dec 19, 2018 7:15 am

Re: Problem updatting PHP from 5.6.39 to 7.1

Post by cholish » Mon Jan 14, 2019 9:46 am

I try to return to PHP 5.6.39 and enable system debug. And then I try to move to PHP 7.1 again and got the following:

https://ibb.co/5Tk1qK5

How can I define platforminfo.class?

SharkyKZ
Joomla! Ace
Joomla! Ace
Posts: 1562
Joined: Fri Jul 05, 2013 10:35 am
Location: Unknown

Re: Problem updatting PHP from 5.6.39 to 7.1

Post by SharkyKZ » Mon Jan 14, 2019 9:54 am

Update RokCommon plugin https://rockettheme.com/joomla/extensions/rokutilities. And try to keep all your extensions up to date.


Post Reply

Return to “Migrating and Upgrading to Joomla! 3.x”